clear
clear matrix
use "revoltonnile_appendix_after1517.dta"
tsset year

log using "revoltonnile_appendix_after1517.txt", text replace

****************************
*** Figure 2 of Appendix ***
****************************

twoway (tsline nilemax, ytitle("Meters above Sea Level") lstyle(solid) legend(off)  lcolor(gs10)  c(l) cmissing(n) scheme(sj) scale(0.8)   graphregion(fcolor(white))) 
graph export "nilefloodafter1517.eps", as(eps) preview(off) replace

drop if year<1678
reg nilemax year
predict li, r
egen nile95=pctile(li), p(95)
egen nile5=pctile(li), p(5)
gen shock=(li>=nile95 | li<=nile5)
replace shock=. if li==.

gen drought=(li<=nile5)
replace drought=. if li==.
gen flood=(li>=nile95)
replace flood=. if li==.



drop if shock==.
gen n=_n
tsset n

replace revolt=revolt*100

***************************
*** Table 10 of Appendix***
***************************
*Col. 1
newey revolt shock, lag(10)
*Col. 2
newey revolt drought flood, lag(10)
test drought=flood
gen dec=int(n/10)
tab dec, gen(d)
*Col. 3
newey revolt shock d1-d16, lag(10)
*Col. 4
newey revolt drought flood d1-d16, lag(10)
test drought=flood


log close
