version 12.0
clear
set more off

use "revoltonnile_appendix_durations.dta", clear

log using "revoltonnile_appendix_durations.txt", text replace
/*NB, some years have less than 12 observations because of a gap in the head judgeship (i.e. there was no head judge, or if there was a head judge
he was unknown). In addition, in a few cases there are simultaneously two head judges.*/

**************************
*** Table 1 of Appendix***
**************************
*Col. 3, judge-month level
areg ch shock if nileyear<=1425, cluster(nileyear) absorb(monthsinoffice)


*Collapsing down to judge-year level
collapse ch shock, by(judgeid nileyear)
drop if nileyear==.
replace ch=(ch>0)
*Generating Nile years elapsed since judge appointed
sort judgeid nileyear
egen yearsinoffice=seq(), by(judgeid)
replace yearsinoffice=yearsinoffice-1



gen dec=int(nileyear/10)

*Col. 1
reg ch shock if nileyear<=1425, cluster(dec)

*Col. 2
areg ch shock if nileyear<=1425, cluster(dec) absorb(yearsinoffic)

*Col. 4
areg ch shock, cluster(dec) absorb(yearsinoffic)

*Col. 5
pgmhaz8 shock, id(judgeid) seq(yearsinoffice) dead(ch) 
pgmhaz8 shock, id(judgeid) seq(yearsinoffice) dead(ch) eform

*Col. 6
logit ch i.shock
margins, dydx(shock)
logit ch i.shock, or

*Col. 7
probit ch i.shock
margins, dydx(shock)


gen greaterthan5=(yearsinoffice>=5)
tab yearsinoffice, gen(y)

*Col. 8
pgmhaz8 shock y1-y5 greaterthan5, id(judgeid) seq(yearsinoffice) dead(ch)  nocons
pgmhaz8 shock y1-y5 greaterthan5, id(judgeid) seq(yearsinoffice) dead(ch)  nocons eform

sum y1
sum y2
sum y3
sum y4
sum y5
sum greaterthan5

*Col. 9
logit ch i.shock y1-y5 greaterthan5
margins, dydx(shock) atmeans
logit ch i.shock, or

*Col. 10
probit ch i.shock y1-y5 greaterthan5, nocons
margins, dydx(shock) atmeans

log close

